cURL
curl --request GET \
--url https://api.recoupable.dev/api/artistsimport requests
url = "https://api.recoupable.dev/api/artists"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.dev/api/artists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"artists": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"image": "<string>",
"instruction": "<string>",
"knowledges": [
{
"name": "<string>",
"url": "<string>",
"type": "<string>"
}
],
"label": "<string>",
"pinned": true,
"account_socials": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"username": "<string>",
"profile_url": "<string>"
}
]
}
],
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Artists
Get Artists
Retrieve artists accessible to the authenticated account. The account is derived from the API key or Bearer token. When org_id is omitted, returns only the account’s own artists. Pass org_id to view artists in a specific organization. Pass account_id to filter to a specific account the API key has access to.
GET
/
api
/
artists
cURL
Query Parameters
Filter to a specific account's artists. Only applicable when the authenticated account has access to multiple accounts via organization membership.
Filter to artists in a specific organization. When omitted, returns only personal (non-organization) artists.
Was this page helpful?
